curl --request GET \
--url https://api.invopop.com/transform/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}Fetch a job
Fetch an existing job by ID.
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
ID of the job to fetch.
"5b45453c-cdd0-11ed-afa1-0242ac120002"
Response
OK
Any additional arguments that might be used by workflow actions.
Show child attributes
Show child attributes
Any files that have been generated while processing the job in the workflow will be here.
Show child attributes
Show child attributes
When this job was completed, will be nil if still ongoing.
When the job was created.
Raw JSON data of the complete GOBL Envelope.
Array of fault objects that represent errors that occurred during the processing of the job.
Show child attributes
Show child attributes
The UUID v7 or v1 of the job
"5b45453c-cdd0-11ed-afa1-0242ac120002"
Array of intent objects following the execution of each of the steps of the associated workflow.
Show child attributes
Show child attributes
Key assigned to the job, used to identify it in the system.
"75fa764a-cdd0-11ed-afa1-0242ac120002"
Last known status text for this job.
Any tags that may be useful to be associated with the job.
When the job was last updated.
"186522a6-e697-4e34-8498-eee961bcb845"
Was this page helpful?